Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6668 - cryptdir script broken in RH 6.1
Summary: cryptdir script broken in RH 6.1
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tcltk
Version: 6.1
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Jens Petersen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-02 23:13 UTC by mark
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-03-18 21:03:13 UTC


Attachments (Terms of Use)

Description mark 1999-11-02 23:13:36 UTC
[mark@ns1 mark]$ cryptdir test
Password:
Again:
send: invalid spawn id (4)
    while executing
"send "$passwd\r""
    ("foreach" body line 19)
    invoked from within
"foreach f [glob *] {
        # strip shell metachars from filename to avoid
problems
        if [regsub -all {[]['`~<>:-]} $f "" newf] {
                exec mv $f $newf
                set f ..."
    (file "/usr/bin/cryptdir" line 39)

Comment 1 Cristian Gafton 2000-02-04 02:03:59 UTC
this is an expect problem

Comment 2 Jeff Johnson 2000-03-18 21:03:59 UTC
Actually it's a glibc problem: Linux has not the program crypt.

Fixed (by removing cryptdir/decryptdir executables and man pages) in
tcltk-8.2.3-36.


Note You need to log in before you can comment on or make changes to this bug.